halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
Public Member Functions | Public Attributes | List of all members
hal::Sequence::UpdateInfo Struct Reference

`#include <halSequence.h>`

## Public Member Functions
| UpdateInfo (const std::string &name, hal_size_t numSegments)

## Public Attributes
std::string | _name
hal_size_t | _numSegments

## Detailed Description

Dimensional information for the number of (top or bottom) segments in a sequence, required when partially updating a genome. A partial update in this context is a rewrite of either the bottom OR the top segments and nothing else

The documentation for this struct was generated from the following file:

- inc/halSequence.h